<?php

/**
 * Class Breadcrumb
 */
class Breadcrumb {

    static private $instance = null;

    protected $parts = array();

    private function __construct()
    {
        $texte = new Texte();
        $this->add($texte->getOneOrCreate("accueil", "Accueil"), '/');
    }

    static public function getInstance()
    {
        if (!(self::$instance instanceof self)) {
            self::$instance = new self();
        }
        return self::$instance;
    }

    public function add($value, $url = '')
    {
        $this->parts[] = array('nom' => $value, 'url' => $url);
        return $this;
    }

    public function get()
    {
        return $this->parts;
    }

    public function render()
    {
        return Template::getInstance()->fetch('inc/breadcrumb.tpl');
    }

} 