<?php

namespace Form;

use Form\Constraint\Length;
use Form\Constraint\Mail;
use Form\Constraint\NotBlank;

class ParrainageForm extends Form
{
    function __construct()
    {
        parent::__construct();

        $this
            ->add(
                new Field(
                    "femail1",
                    array(
                        "not_empty" => new NotBlank(),
                        "is_mail" => new Mail(),
                    ),
                    array(
                        "not_empty" => "Vous devez remplir le premier email.",
                        "is_mail" => "Vous devez utiliser un email correct.",
                    )
                )
            )
            ->add(
                new Field(
                    "femail2",
                    array("is_mail" => new Mail(),),
                    array("is_mail" => "Email n°2 incorrect.",)
                )
            )
            ->add(
                new Field(
                    "femail3",
                    array("is_mail" => new Mail(),),
                    array("is_mail" => "Email n°3 incorrect.",)
                )
            )
            ->add(
                new Field(
                    "femail4",
                    array("is_mail" => new Mail(),),
                    array("is_mail" => "Email n°4 incorrect.",)
                )
            )
            ->add(
                new Field(
                    "femail5",
                    array("is_mail" => new Mail(),),
                    array("is_mail" => "Email n°5 incorrect.",)
                )
            )
            ->add(
                new Field(
                    "message",
                    array(
                        "not_empty" => new NotBlank(),
                    ),
                    array(
                        "not_empty" => "Vous devez remplir un message."
                    )
                )
            )
        ;
    }
}