<?php

namespace Form;

use Form\Constraint\Callback;
use Form\Constraint\Mail;
use Form\Constraint\NotBlank;

class ResetPasswdForm extends Form
{

    public function __construct()
    {
        parent::__construct();
        $texte = new \Texte();

        $this
            ->add(
                new Field(
                    "client_email",
                    array(
                        "not_empty" => new NotBlank(),
                        "mail_valid"      => new Mail(),
                        "mail_exists"      => new Callback(array("Client", "mailIsUsed")),
                    ),
                    array(
                        "not_empty" => $texte->getOneOrCreate("email_obligatoire", "Vous devez renseigner votre adresse email."),
                        "mail_valid" => $texte->getOneOrCreate("email_invalide", "Vous devez utiliser un email valide."),
                        "mail_exists" => $texte->getOneOrCreate("email_introuvable", "Cet email est introuvable."),
                    )
                )
            )
        ;
    }
}
