{extends file='layout/layout.tpl'}
{block name="content"}
    <div class="container ConfirmCommande">

        <div class="row">

            {*Breadcrumb::getInstance()->render()*}

            <div class="col-xs-12">
                <br>
                {if isset($error)}
                    <div class="center">
                        <h1 class="titleLvl2 wrapCenter">{txt value="Votre commande n'a pas été enregistrée" key="erreur_paiement_titre"}</h1>
                        <p>{txt value="Une erreur a empéché la création de votre commande." key="erreur_paiement_desc"}</p>
                    </div>
                {elseif empty($commande)}
                    <div class="center">
                        <h1 class="titleLvl2 wrapCenter">{txt value="Votre commande est en cours de création..."}</h1>

                        <br /><br />
                        <img src="/ovs/images/loading.svg" height="100" width="100" />
                    </div>

                {else}
                    <h1 class="titleLvl2 wrapCenter">{txt value="Votre commande a été enregistrée"} : n°{$commande.commande_id}</h1>
                    <br /><br />

                    {*<h2 class="titleLvl3">{$commande.paiement_nom_description}</h2>*}

                    <div>
                        {$infos_commande}
                    </div>

                    <br /><br />

                    <div class="center">
                        <a href="{url page="bon_commande" commande_id=$commande['commande_id'] client_id=$commande.client_id}" class="secondaryLink downloadLink">
                            {include file="icons/pdf.tpl"}
                            {txt value="Télécharger le bon de commande"}
                        </a>
                    </div>


                    {* <a class="btn btnMain" href="{url page='bon_commande'}?commande_id={$commande.commande_id}&client_id={$commande.client_id}">
                        Imprimer
                    </a> *}

                    <br /><br />

                    {*PRODUCTS*}
                    <div class="historyOrderProducts clearfix">
                        <p class="titleCollapse withBg">
                            {txt value="Détails de ma commande"}
                        </p>
                        <div class="tableInDivs">
                            <div class="tableHead clearfix hidden-xs">
                                <p class="th colDes50">{txt value="Produits"}</p>
                                <p class="th colDes25 wrapCenter colQty">{txt value="Quantité"}</p>
                                <p class="th colDes25 wrapRight">{txt value="Prix TTC"}</p>
                            </div>
                            <div class="tableBody">
                                {foreach from=$produits item=product}
                                    {include file="product/history_id.tpl"}
                                {/foreach}
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-lg-6 col-md-6 col-sm-6 col-sm-push-6">
                                <div class="recapPrices">
                                    <p class="delivTitle">{txt value="Total TTC hors livraison"}</p>
                                    <p class="delivAmount wrapRight">{price ht=$commande['commande_stotal_ht']}</p>
                                    <div class="clear"></div>
                                    <p class="delivTitle">{txt value="Livraison"}</p>
                                    <p class="delivAmount wrapRight">{price ht=$commande['commande_port_ht']}</p>
                                    <div class="clear"></div>
                                    <p class="totalTitle">{txt value="Total produits"}</p>
                                    <p class="totalAmount wrapRight">{price ttc=$commande['commande_total_ttc']}</p>
                                    <div class="clear"></div>
                                    <p class="delivTitle">{txt value="Dont TVA"}</p>
                                    <p class="delivAmount wrapRight">{price ttc=$commande['commande_total_taxe'] notag=true}</p>
                                </div>
                            </div>
                        </div>
                    </div>
                    {* // PRODUCTS*}

                    {*ADRESSES*}
                    <div class="historyIdAdresses">
                        <div class="row">
                            <div class="col-sm-5">
                                <div class="orderRecapBloc clearfix">
                                    <p class="titleCollapse withBg">
                                        {txt value="Adresse de livraison"}
                                    </p>
                                    <div class="userAdress">
                                        <p class="addrName titleLvl4">{$commande['livraison_libelle']}</p>
                                        <p>{$commande['livraison_civilite']} {$commande['livraison_nom']}  {$commande['livraison_prenom']}</p>
                                        <p>{$commande['livraison_rue']}</p>
                                        <p>{$commande['livraison_cp']} {$commande['livraison_ville']}</p>
                                        <p>{$commande['livraison_pays']}</p>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-5 col-sm-offset-2">
                                <div class="orderRecapBloc clearfix">
                                    <p class="titleCollapse withBg">
                                        {txt value="Adresse de facturation"}
                                    </p>
                                    <div class="userAdress">
                                        <p class="addrName titleLvl4">{$commande['facturation_libelle']}</p>
                                        <p>{$commande['facturation_civilite']} {$commande['facturation_nom']}  {$commande['facturation_prenom']}</p>
                                        <p>{$commande['facturation_rue']}</p>
                                        <p>{$commande['facturation_cp']} {$commande['facturation_ville']}</p>
                                        <p>{$commande['facturation_pays']}</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    {* // ADRESSES*}
                {/if}

            </div>

        </div>

    </div>
{/block}

{block name="script-js"}
    {if empty($commande) && !isset($error)}
        <script type="text/javascript" src="/dedi/js/order.js"></script>
    {literal}
        <script>
            var order = new Order();
            jQuery(document).ready(function () {
                setInterval(function(){order.checkIfOrderIsCreated('/order_exist.html', '/payment_success.html')}, 1000);
                setTimeout(function(){location.href = '/p-paiement_error.html';}, 90000);
            });
        </script>
    {/literal}
    {/if}
{/block}
